﻿@model Jumbula.Core.Model.Report.Filter.JbTextBoxReportFilter


<div class="place-left padding-right20" style="width: @Model.Width;">
    <div class="quarter" ng-show="Filters.Elements[@Model.Id].ShowByValue != '' && Model[@Model.ShowByFilterId] == Filters.Elements[@Model.Id].ShowByValue">
        <label ng-class="Filters.Elements[@Model.Id].IsRequired == true ? 'req-star' : ''" style="font-weight: @Model.FontWeight">{{Filters.Elements[@Model.Id].Title}}</label>
        <div class="input-control text">
            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" ng-model="Model[@Model.Id]" placeholder="">
        </div>

    </div>
</div>
